# Cliente para o text-anonym

Repositório para códigos e outros materiais relacionados aos clientes para o aplicativo de remoção de identificadores do CCD ([`text-anonym`][gitlab-text-anonym]).

[gitlab-text-anonym]:https://gmapsrv.pucrs.br/gitlab/ccd/text-anonym

## Instalação

- Recomenda-se versão recente do Python, 3.11+.
- Nenhuma biblioteca adicional precisa ser instalada.

## Uso

Existem duas formas de acessar o servidor através da mesma API, usando terminal ou navegador.
O uso do terminal é indicado para execução em lote de forma automática, enquanto o navegador oferece uma interface simples voltada para pequenos testes.

Os argumentos `ner` e `sym` são opcionais e servem para ativar os respectivos identificadores, onde:
- `ner`: entidades nomeadas;
- `sym`: identificadores padronizados, como números de telefone/cpf e hyperlinks.

Diferentes tratamentos de identificadores são atualmente suportados:
- anotação: substitui entidade por categoria, como `[PESSOA]`;
- remoção: remove entidade;
- máscara_constante: substitui entidade por `***`;
- máscara_proporcional: substitui cada caractere da entidade por `*`.

### Terminal

Para acessar o servidor, utilize o comando abaixo:

```
python src/cli/client.py file.json [ner] [sym] [tratamento=anotação|remoção|máscara_constante|máscara_proporcional]
```

O arquivo JSON é apenas um exemplo de como os dados podem ser repassados por requisições POST ao servidor.

### Navegador

Para acessar o servidor, abra `src/web/client.html` em um navegador atualizado.
